Self-serve contractor payments
Self Serve Get Payment Batch Gas Estimate
Builds the batch's Safe transfer list and estimates gas and native cost for the multi-send.
GEThttps://api.toku.com/hris/self-serve-get-payment-batch-gas-estimate
Required scope: payments:read. It also needs banking:read, compensation:read.
curl --request GET \
--url 'https://api.toku.com/hris/self-serve-get-payment-batch-gas-estimate?payrollID=%3CpayrollID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"safeTxGas": "string",
"baseGas": "string",
"estimatedTotalGas": "string",
"gasPrice": "string",
"estimatedCostWei": "string",
"estimatedCostEth": "string",
"nativeSymbol": "string",
"transfers": [
{
"recipientAddress": "string",
"amount": "string",
"recipientName": "string",
"invoiceNumber": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
payrollIDstring<uuid>requiredResponse
200Successful response
safeTxGasstringrequiredbaseGasstringrequiredestimatedTotalGasstringrequiredgasPricestringrequiredestimatedCostWeistringrequiredestimatedCostEthstringrequirednativeSymbolstringrequiredtransfersobject[]requiredShow child attributes
recipientAddressstringrequiredamountstringrequiredrecipientNamestringinvoiceNumberstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits